;Copyright (C) 2004-2008 John T. Haller
;Copyright (C) 2007-2008 Kevin Porter

;Website: http://PortableApps.com/JuicePortable

;This software is OSI Certified Open Source Software.
;OSI Certified is a certification mark of the Open Source Initiative.

;This program is free software; you can redistribute it and/or
;modify it under the terms of the GNU General Public License
;as published by the Free Software Foundation; either version 2
;of the License, or (at your option) any later version.

;This program is distributed in the hope that it will be useful,
;but WITHOUT ANY WARRANTY; without even the implied warranty of
;MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
;GNU General Public License for more details.

;You should have received a copy of the GNU General Public License
;along with this program; if not, write to the Free Software
;Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.

!define PORTABLEAPPNAME "Juice Portable"
!define NAME "JuicePortable"
!define APPNAME "Juice"
!define VER "1.5.8.0"
!define WEBSITE "PortableApps.com/JuicePortable"

;=== Program Details
Name "${NAME}"
OutFile "..\..\${NAME}.exe"
Caption "${PORTABLEAPPNAME} | PortableApps.com"
VIProductVersion "${VER}"
VIAddVersionKey ProductName "${PORTABLEAPPNAME}"
VIAddVersionKey Comments "Allows ${APPNAME} to be run from a removable drive.  For additional details, visit ${WEBSITE}"
VIAddVersionKey CompanyName "PortableApps.com"
VIAddVersionKey LegalCopyright "PortableApps.com and contributors"
VIAddVersionKey FileDescription "${PORTABLEAPPNAME}"
VIAddVersionKey FileVersion "${VER}"
VIAddVersionKey ProductVersion "${VER}"
VIAddVersionKey InternalName "${PORTABLEAPPNAME}"
VIAddVersionKey LegalTrademarks "PortableApps.com is a Trademark of Rare Ideas, LLC."
VIAddVersionKey OriginalFilename "${NAME}.exe"
;VIAddVersionKey PrivateBuild ""
;VIAddVersionKey SpecialBuild ""


;=== Runtime Switches
CRCCheck On
WindowIcon Off
SilentInstall Silent
AutoCloseWindow True
RequestExecutionLevel user

; Best Compression
SetCompress Auto
SetCompressor /SOLID lzma
SetCompressorDictSize 32
SetDatablockOptimize On

;=== Program Icon
Icon "..\..\App\AppInfo\appicon.ico"

Var DISABLESPLASHSCREEN

Section "Main"
	ReadINIStr $DISABLESPLASHSCREEN "$EXEDIR\${NAME}.ini" "${NAME}" "DisableSplashScreen"

	FindProcDLL::FindProc "Juice.exe" ;if running, exit
	StrCmp $R0 "1" TheEnd
	
	StrCmp $DISABLESPLASHSCREEN "true" SkipSplash
			;=== Show the splash screen before processing the files
			InitPluginsDir
			File /oname=$PLUGINSDIR\splash.jpg "${NAME}.jpg"
			newadvsplash::show /NOUNLOAD 1000 0 0 -1 /L $PLUGINSDIR\splash.jpg
			
	SkipSplash:
		IfFileExists `$EXEDIR\Data\settings\favorites.txt` UserDataFound
		CreateDirectory `$EXEDIR\Data\settings`
		CreateDirectory `$EXEDIR\Data\settings\iPodder`
		CopyFiles `$EXEDIR\App\DefaultData\settings\*.*` `$EXEDIR\Data\settings`
		Rename `$EXEDIR\Data\settings\favorites.txt` `$EXEDIR\App\Juice\favorites.txt`
		System::Call 'Kernel32::SetEnvironmentVariableA(t, t) i("APPDATA", "$EXEDIR\Data\settings").r0'
		ExecWait `$EXEDIR\App\Juice\Juice.exe`
		Rename `$EXEDIR\App\Juice\favorites.txt` `$EXEDIR\Data\settings\favorites.txt`
		Goto TheEnd
		
	UserDataFound:
		Rename `$EXEDIR\Data\settings\favorites.txt` `$EXEDIR\App\Juice\favorites.txt`
		System::Call 'Kernel32::SetEnvironmentVariableA(t, t) i("APPDATA", "$EXEDIR\Data\settings").r0'
		ExecWait `$EXEDIR\App\Juice\Juice.exe`
		Rename `$EXEDIR\App\Juice\favorites.txt` `$EXEDIR\Data\settings\favorites.txt`
		Goto TheEnd

	TheEnd:
		newadvsplash::stop /WAIT
SectionEnd